config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  OLD="$(dirname $NEW)/$(basename $OLD .sample)"
  OLD="$(dirname $NEW)/$(basename $OLD .dist)"

  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

mkgroup() {
  GROUP="$1"
  if ! grep -qe "^$GROUP:" etc/group; then
    echo Creating group $GROUP...
    chroot . /usr/sbin/groupadd $GROUP
  fi
}

mkuser() {
  USER="$1"
  if [ ! -z "$2" ]; then
    GROUP="$2"
  else
    GROUP="$USER"
  fi
  if ! grep -qe "^$USER:" etc/passwd; then
    echo Creating user $USER...
    chroot . /usr/sbin/useradd $USER -g $GROUP
  fi
}

config etc/rc.d/rc.courier-authlib.new
( cd usr/lib/courier-authlib ; rm -rf libcourierauth.so.0 )
( cd usr/lib/courier-authlib ; ln -sf libcourierauth.so libcourierauth.so.0 )
( cd usr/lib/courier-authlib ; rm -rf libcourierauthsasl.so.0 )
( cd usr/lib/courier-authlib ; ln -sf libcourierauthsasl.so libcourierauthsasl.so.0 )
( cd usr/lib/courier-authlib ; rm -rf libcourierauthsaslclient.so.0 )
( cd usr/lib/courier-authlib ; ln -sf libcourierauthsaslclient.so libcourierauthsaslclient.so.0 )
( cd usr/lib/courier-authlib ; rm -rf libcourierauthcommon.so.0 )
( cd usr/lib/courier-authlib ; ln -sf libcourierauthcommon.so libcourierauthcommon.so.0 )
( cd usr/lib/courier-authlib ; rm -rf libauthuserdb.so.0 )
( cd usr/lib/courier-authlib ; ln -sf libauthuserdb.so libauthuserdb.so.0 )
( cd usr/lib/courier-authlib ; rm -rf libauthldap.so.0 )
( cd usr/lib/courier-authlib ; ln -sf libauthldap.so libauthldap.so.0 )
( cd usr/lib/courier-authlib ; rm -rf libauthmysql.so.0 )
( cd usr/lib/courier-authlib ; ln -sf libauthmysql.so libauthmysql.so.0 )
( cd usr/lib/courier-authlib ; rm -rf libauthcustom.so.0 )
( cd usr/lib/courier-authlib ; ln -sf libauthcustom.so libauthcustom.so.0 )
( cd usr/lib/courier-authlib ; rm -rf libauthpipe.so.0 )
( cd usr/lib/courier-authlib ; ln -sf libauthpipe.so libauthpipe.so.0 )
